# CSXcodeDataModelSchema

    @objc
    public final class CSXcodeDataModelSchema : NSObject, CSDynamicSchema, CoreStoreObjectiveCType

The `CSXcodeDataModelSchema` serves as the Objective-C bridging type for `XcodeDataModelSchema`.

See also

`XcodeDataModelSchema`

- `init(modelName:modelVersionFileURL:)`

  Initializes an `CSXcodeDataModelSchema` from an *.xcdatamodeld file URL.

  #### Declaration

  Swift

      @objc
      public required init(modelName: ModelVersion, modelVersionFileURL: URL)

  #### Parameters

  `modelName` | the model version, typically the file name of an *.xcdatamodeld file (without the file extension)
  `modelVersionFileURL` | the file URL that points to the .xcdatamodeld’s momd file.

### CSDynamicSchema

- `modelVersion`

  #### Declaration

  Swift

      @objc
      public var modelVersion: ModelVersion { get }

- `rawModel()`

  #### Declaration

  Swift

      @objc
      public func rawModel() -> NSManagedObjectModel

### CoreStoreObjectiveCType

- `bridgeToSwift`

  #### Declaration

  Swift

      public let bridgeToSwift: XcodeDataModelSchema

- `init(_:)`

  #### Declaration

  Swift

      public required init(_ swiftValue: XcodeDataModelSchema)